<?php

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }



$admin->head();

echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&$session><b>احصائيات المكتبة</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=list&$session><b>ادارة تصنيفات المكتبة</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=newmoalif&$session><b>اضف مؤلف جديد</b></a></td>
     <td disabled  align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=listmoalif&$session><b>تحرير بيانات مؤلف</b></a></td>
 </tr>
</table><br>";



$moddo = $apt->get[moddo];



if($moddo=='edt')

{

echo "

<script language=javascript>

function checkForm(){

	if (!document.addf.name_moalif.value) {

		alert('عفوا ... انت لم تقم بكتابة اسم المؤلف '); 

		return false;

	} 

 

}

</script>";



if($apt->post[save]){



$id_moalif 	= $apt->get[id_moalif];

$name_moalif 	= $apt->post[name_moalif];

$desc_moalif 	= $apt->post[desc_moalif];

$order_moalif 	= $apt->post[order_moalif];


//// Start 20/12/2007
$goquery = $apt->query("UPDATE rafia_media_moalif set name_moalif='$name_moalif', desc_moalif='$desc_moalif', order_moalif='$order_moalif' where id_moalif='$id_moalif'");
//// End 20/12/2007



if($goquery){

		modmsg("تم تحديث بيانات المؤلف بنجاح<br>سوف ترجع الان الى صفحة عرض الؤلفين","mod.php?act=edit&mod=media&op=listmoalif&".$admin->get_sess());

}else{

		modmsg("عفوا ... حصل خطأ و لم يتم تحديث بيانات المؤلف <br>سوف ترجع الان الى صفحة عرض المؤلفين","mod.php?act=edit&mod=media&op=listmoalif&".$admin->get_sess());

}

}else{

$id_moalif 		= $apt->get[id_moalif];

$result = mysql_query ("SELECT * FROM rafia_media_moalif where id_moalif=$id_moalif");

while ($row = mysql_fetch_array($result)) {

@extract($row);


            $admin->opentable("تعديل بيانات المؤلف ");

				echo "<form onsubmit='return checkForm(this)' enctype='multipart/form-data' name=addf act=mod.php?act=edit&mod=media&op=listmoalif&moddo=edt&id_moalif=$id_moalif&".$admin->get_sess()." method=post>";

            $admin->inputtext("عنوان التصنيف","name_moalif",$name_moalif);

            $admin->textarea("وصف بسيط التصنيف","desc_moalif",$desc_moalif,'rtl',3);

            $admin->selectnum("الترتيب","order_moalif","$order_moalif",'1','100');

            $admin->inputhidden('save','1');

            $admin->closetable();

            $admin->submit("تعديل");

}}

}elseif($moddo=='del'){


$id_moalif		= $apt->get[id_moalif];


	$resu = mysql_query ("delete from rafia_media_moalif where id_moalif=$id_moalif");


			modmsg("تم حذف المؤلف ","mod.php?act=edit&mod=media&op=listmoalif&".$admin->get_sess());


	}



else{

$admin->opentable("عرض المؤلفين",4);

$result = mysql_query ("SELECT * FROM rafia_media_moalif ORDER BY order_moalif ASC");

echo "<tr>";

$admin->td_msg('<b>اسم المؤلف </b>',50);

$admin->td_msg('<b>تحرير</b>',15);

$admin->td_msg('<b> حذف </b>',15);

echo "</tr>";

while ($row = mysql_fetch_array($result)) {

@extract($row);

echo "<tr>";

$admin->td_msg($name_moalif,50);

$admin->td_url("mod.php?act=edit&mod=media&op=listmoalif&moddo=edt&id_moalif=$id_moalif&modid=$modid&".$admin->get_sess(),'تعديل',15);

$admin->td_url("#",$admin->DelHref("mod.php?act=edit&mod=media&op=listmoalif&moddo=del&id_moalif=$id_moalif"));



echo "</tr>";



}

$admin->closetable();

}

?>